Package org.silverpeas.components.questionreply.control

# Class QuestionReplyExport

java.lang.Object
org.silverpeas.components.questionreply.control.QuestionReplyExport

public class QuestionReplyExport extends Object

Author:
  ehugonnet

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuestionReplyExport(org.silverpeas.core.util.MultiSilverpeasBundle resource, File file)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `exportAttachment(org.silverpeas.core.importexport.attachment.AttachmentDetail attachment, StringBuilder sb)`
  `void`
  `exportQuestion(Question question, StringBuilder sb, QuestionReplySessionController scc)`
  `protected void`
  `exportReply(QuestionReplySessionController qRSC, Reply reply, StringBuilder sb)`
  `boolean`
  `isReplyVisible(Question question, Reply reply, QuestionReplySessionController scc)`
  `static boolean`
  `isReplyVisible(Question question, Reply reply, org.silverpeas.core.admin.user.model.SilverpeasRole role, String userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuestionReplyExport

    public QuestionReplyExport(org.silverpeas.core.util.MultiSilverpeasBundle resource, File file)

- ## Method Details

  - ### exportQuestion

    public void exportQuestion(Question question, StringBuilder sb, QuestionReplySessionController scc) throws QuestionReplyException, ParseException
    Throws:
      `QuestionReplyException`
      `ParseException`

  - ### exportReply

    protected void exportReply(QuestionReplySessionController qRSC, Reply reply, StringBuilder sb) throws QuestionReplyException, ParseException
    Throws:
      `QuestionReplyException`
      `ParseException`

  - ### exportAttachment

    protected void exportAttachment(org.silverpeas.core.importexport.attachment.AttachmentDetail attachment, StringBuilder sb)

  - ### isReplyVisible

    public boolean isReplyVisible(Question question, Reply reply, QuestionReplySessionController scc)

  - ### isReplyVisible

    public static boolean isReplyVisible(Question question, Reply reply, org.silverpeas.core.admin.user.model.SilverpeasRole role, String userId)